Bug 1774665 - please package python3-parsedatetime for EPEL 8
Summary: please package python3-parsedatetime for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-parsedatetime
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1744892
TreeView+ depends on / blocked
 
Reported: 2019-11-20 16:29 UTC by Felix Schwarz
Modified: 2019-12-07 02:11 UTC (History)
3 users (show)

Fixed In Version: python-parsedatetime-2.5-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-07 02:11:01 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Felix Schwarz 2019-11-20 16:29:16 UTC
AFAIK this package is required for certbot (bug 1744892).

Comment 1 Felix Schwarz 2019-11-20 16:53:34 UTC
this will be easier if parsedatetime >= 2.5 is used (bug 1773846) where you could remove the dependency on "python3-future".

Comment 2 Felix Schwarz 2019-11-21 10:30:37 UTC
This pull request should make it easier to package this for EPEL as it removes the need to package all the test dependencies: https://src.fedoraproject.org/rpms/python-parsedatetime/pull-request/4

Comment 3 Felix Schwarz 2019-12-02 18:13:32 UTC
Michele made me a co-maintainer, will request an EPEL 8 branch soon.

Comment 4 Fedora Update System 2019-12-03 23:02:30 UTC
FEDORA-EPEL-2019-46ac1d4033 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-46ac1d4033

Comment 5 Fedora Update System 2019-12-04 03:14:33 UTC
python-parsedatetime-2.5-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-46ac1d4033

Comment 6 Fedora Update System 2019-12-07 02:11:01 UTC
python-parsedatetime-2.5-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.